/*
 * An implementation file for a progress dialog used with the RNAstructure GUI.
 *
 * (c) 2009  Mathews Lab, University of Rochester Medical Center
 * Written by Jessica Reuter
 */

#include "TProgressDialog.h"

// Constructor
TProgressDialog::TProgressDialog( ProgressMonitor& monitor ) {
  progressMonitor = &monitor;
}

// Added a virtual d-nothing destructor because a virtual method is required to cause this class to be polymorphic (i.e. have a vtable), which is required for ObservingTextProgressBar
TProgressDialog::~TProgressDialog() {
}


// Update the value of the monitor.
void TProgressDialog::update( int percent ) {
  progressMonitor->setMonitorProgress( percent );
}
// Was the operaton cancelled?
bool TProgressDialog::canceled() {
  return progressMonitor->canceled();
}

// Get the current progress percentage
int  TProgressDialog::progress() {
	return progressMonitor->getMonitorProgress();
}