# This script is not intended to be executed directly.  It is sourced by test-runner.sh and most functions you see here are defined in test-tools.sh
# The variables EXENAME, EXEBASE, OKDIR, and EXEDIR are defined externally.

beginTestBlock  # Begin a group of tests.
runMake -r @EXE partition  # run `make` for the main exe and any other listed programs
EXT=.ct  # set extension for @OKFILE and @OUTFILE placeholders (defaults for runDiff)

status "Running partition"
runCmd -r partition $SINGLESEQ $SINGLEPFS

# Test EnsembleEnergy_without_options.
initTest 'without_options'
runTest @EXE  $SINGLEPFS    # (Test output is redirected to @STDO)
runDiff @STDO @OK.out
endTest

# Test EnsembleEnergy_dna_option.
initTest 'dna_option'
runTest @EXE  $SINGLESEQ --sequence -d    # (Test output is redirected to @STDO)
runDiff @STDO @OK.out
endTest

# Test EnsembleEnergy_sequence_option.
initTest 'sequence_option'
runTest @EXE  $SINGLESEQ --sequence    # (Test output is redirected to @STDO)
runDiff @STDO @OK.out
endTest

# Test EnsembleEnergy_silent_option.
initTest 'silent_option'
runTest @EXE  $SINGLEPFS --silent    # (Test output is redirected to @STDO)
runDiff @STDO @OK.out
endTest

rm -f $SINGLEPFS

endTestBlock # End a group of tests. Also cleans up orphaned files etc.
